QGIS Application - Bug report #17201

QGIS master crashes when trying to expand a spatiaLite layer in the DB manager

2017-09-26 12:29 PM - Chen B

Status: Closed
Priority: High
Assignee:

Category: DB Manager

Affected QGIS version:master
Operating System: Windows 7
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: Yes
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 25100

Description

User Feedback

used the db manager and tried to expand a spatialL.ite layer

Report Details

Crash ID: ed00957ba88838eccd4053109676694e37a47426
Stack Trace

(_spatialite) PyInit__spatialite (unknown file):(unknown line)

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:01468d0879
Compiled against Qt: 5.7.1

Running against Qt: 5.7.1

Compiled against GDAL: 2.2.1

Running against GDAL: 2.2.1

System Info

CPU Type: i386

Kernel Type: winnt
Kernel Version: 6.1.7601

History

#1 - 2017-09-26 12:30 PM - Giovanni Manghi
- Status changed from Open to Feedback
- Priority changed from Normal to High

Please attach the data that causes the issue.

#2 - 2017-09-30 11:27 PM - Gerhard Spieles
- File testspatialite1.zip added

Same Problem

Database ist attached
#3 - 2017-09-30 11:28 PM - Gerhard Spieles
- File 2.99_177_dbmanager._spatialite_crash_popup.jpg added

#4 - 2017-10-01 09:22 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Status changed from Feedback to Open

- Subject changed from QGIS crashes when trying to expand a spatiaLite layer in the DB manager to QGIS master crashes when trying to expand a

spatiaLite layer in the DB manager

#5 - 2017-11-03 03:38 PM - Andreas Kositz
- File python_db_spatialite_error.png added
Gerhard Spieles wrote:

Same Problem

Database ist attached

The "problem" changed, now QGIS does not crash anymore, it throws an error.
| used the dataset provided and attached a screenshot of the error.

#6 - 2017-11-07 04:36 PM - Andreas Kositz

After using this solution https:/gis.stackexchange.com/a/260679/4972

No crash and no errors anymore, seems pretty much fixed.

#7 - 2017-11-08 02:53 PM - Alessandro Pasotti

Can we close this?

#8 - 2017-11-08 05:49 PM - Giovanni Manghi

- Status changed from Open to Feedback

#9 - 2017-11-13 05:42 PM - Andreas Kositz

Alessandro Pasotti wrote:

Can we close this?

| would say --> Closed.
| work with that on a daily basis and the bug does not occur anymore.

#10 - 2017-11-13 05:44 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
https://gis.stackexchange.com/a/260679/4972

Files

testspatialite1.zip 440 KB 2017-09-30 Gerhard Spieles

2.99_177_dbmanager_spatialite_crash_popup.jpg 172 KB 2017-09-30 Gerhard Spieles

python_db_spatialite_error.png 37.9KB 2017-11-03 Andreas Kositz
